import { EventEmitter, OnChanges } from '@angular/core';
import { DisclosureButtonComponent } from '../disclosure-button/disclosure-button.component';
import { DisclosurePanelDirective } from '../disclosure-panel.directive';
import * as i0 from "@angular/core";
export declare class DisclosureComponent implements OnChanges {
    defaultOpenState: boolean;
    disabled: boolean;
    panelChange: EventEmitter<boolean>;
    private _isOpen;
    displayPanel: DisclosurePanelDirective;
    disclosureButton: DisclosureButtonComponent;
    get isOpened(): boolean;
    set isOpened(hidden: boolean);
    ngOnChanges(): void;
    addPanel(panel: DisclosurePanelDirective): void;
    addButton(button: DisclosureButtonComponent): void;
    keyNavActions(): void;
    updateOpenState(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DisclosureComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DisclosureComponent, "headless-disclosure", never, { "defaultOpenState": "defaultOpenState"; "disabled": "disabled"; }, { "panelChange": "panelChange"; }, never, ["*"]>;
}
